body {
  font-family: 'Roboto', 'Noto', sans-serif;
  font-size: 13px;  
  widows: 1100px;
  margin: auto;
  padding: 0;
  
}
header{  
  position: sticky;
  widows: 100%;
  text-align: center;
}
.shop-box{
  height: 60px;
  position: relative;

}
.div img{
  position: absolute;
  top: 10px;
  right: 30px;
}
.shop-box h3{
  vertical-align: 3rem;
  font-size: 0.98rem;
  margin: 0;
  padding-top: 20px;
}
.clothing-types{
  display: grid;
  /* display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  */
  text-align: center;  
  font-size: 20px; 
  min-height: 3rem;
  position: sticky;
  top: 0;
  background-color: rgba(255, 255, 255, 0.911);

}
.nav-button{
  font-size: 0.8rem;
  height: 100%;
  border: 0;
  background-color: rgba(255, 255, 255, 0.048);
}

.shop{
  position: relative;
}
.cart{
  position: absolute;
  top: 20px;
  right: 20px;
}

.mens-outerwear-img {
  height: 300px;
}

.mens-outerwear-text {
  font-size: 1rem;
  text-align: center;
  height: auto;
  padding-top: 20px;
  padding-bottom: 20px;
}

.shop-now-box {
  text-align: center;
  height: auto;
  padding-top: 20px;
  padding-bottom: 20px;
  margin-bottom: 20px;
}
.shop-now-button {

  border: 1.5px solid black;
  padding-left: 40px;
  padding-right: 40px;
  padding-top: 5px;
  padding-bottom: 5px;
  
}

.shirt-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.all-men-shirt {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  height: auto;
}
.all-men-shirt div{
  height: 300px;
  width: auto;
  padding-left: 70px;
  padding-right: 70px;
}
.each-shirt {
  width: 100%;
}

.shirt-detail-grid {
  display: grid;
  grid-template-columns: 1fr 1fr  ;
  max-width: 900px;
  width: auto;
  margin: auto;
  
  min-height: 500px;
}
.shirt-detail-img{
  object-fit: cover;
  padding: 5px;
  grid-column: 1/2;
  max-height: 500px;
}
.shirt-detail-text{
  width: 90%;
  float: left;
  grid-column: 2/3;
  padding: 20px;
}

.select-size {
  border: 0;
  margin: 0;
  background-color: rgba(255, 255, 255, 0);
  width: 100%;
  padding-left: 50px;
}

.form-grid{
  display: grid;
  grid-template-columns: 1fr 1fr;
  max-width: 850px;
  width: auto;
  margin: auto;

}

.email{
  border-bottom: 1px solid gray;
  margin-top: 35px;
  margin-bottom: 25px;
}
#email-id{
  border: 0;
  width: 100%;
}

#city{
  margin-bottom: 0px;
}





.country {
  border-bottom: 1px solid gray;
  -moz-appearance : none;
}

#country{
  width: 100%;
  border-top: 1px solid white;
  margin-top: 10px;
  -moz-appearance : none;
  margin-bottom: 10px;
  background-color: white;

}
#country-select:focus{
  outline : none;
  -moz-appearance : none;

}

.country select {
  -webkit-appearance: none;
  -moz-appearance: none;
  background: transparent;
  background-image: url("data:image/svg+xml;utf8,<svg fill='black' height='24' viewBox='0 0 24 24' width='24' xmlns='http://www.w3.org/2000/svg'><path d='M7 10l5 5 5-5z'/><path d='M0 0h24v24H0z' fill='none'/></svg>");
  background-repeat: no-repeat;
  background-position-x: 100%;
  background-position-y: 5px;
  border: 1px solid #dfdfdf;
  border-radius: 2px;
  margin-right: 2rem;
  padding: 1rem;
  padding-right: 2rem;
}


.left-check{
  grid-column: 1/2;
  padding-right: 40px;
  padding-left: 20px;
  
}

.right-check{
  grid-column: 2/3;
  padding-left: 40px;
  padding-right: 20px;
}
#cart-disp{
  display: none;
}
.expiry-grid{
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  min-height: 30px;
  height: auto;
  grid-gap: 3px;
}
.month{
  width: 100%;
  position: relative;
  min-height: 25px;
  grid-column: 1/2;
  height: auto;
  border-bottom: 1.5px solid gray;
}
.year{
  width: 100%;
  position: relative;
  min-height: 25px;
  grid-column: 2/3;
  border-bottom: 1.5px solid gray;
  
  height: auto;
}
.cvv
{
  width: 100%;
  position: relative;
  min-height: 20px;
  height: auto;
  grid-column: 3/4;
}
#month{
  width: 100%;
  outline: 0;
  border: 0;
  background-color: transparent;
  position: absolute;
  top: 0px;
}
#year{
  width: 100%;
  outline: 0;
  border: 0;
  background-color: transparent;
  position: absolute;
  top: 0px;
}
#cvv
{
  width: 100%;
  position: absolute;
  height: 23px;
}
.box-below-expiry{
  width: 0;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  min-height: 3px;
  background-color: transparent;

  transition: width 2s ease, background-color 2s ease;
}

#month:focus ~ div{
  background-color: black;
  width: 100%;
  transition: width 2s ease, background-color 2s ease;
  
}
#year:focus ~ div{
  background-color: black;
  width: 100%;
  transition: width 100ms ease, background-color 100ms ease;
  
}
#cvv:focus ~ div{
  background-color: black;
  width: 100%;
  transition: width 100ms ease, background-color 100ms ease;
  
}

#checklist:not(:focus) + div {
  display: none !important;
}

.dummy{
  display: none;
}
/*--------------------------------------------------------------------------------*/

.outer-box{
  width: 100%;
  height: 50px;
  position: relative;
  margin-top: 7px;
}
.box-one{
  width: 100%;
  height: 50%;
  bottom: 0;
  position: absolute;
  bottom: 3px;  
}
.text{
  position: absolute;
  bottom: 0px;
  width: 100%;
}
.text label{
  position: absolute;
  left: 2px;
  color: gray;
  z-index: -1;
}
.text input{
  position: relative;
  bottom: 2px;
  bottom: 0;
  background-color: transparent;
  outline: none;
  width: 100%;
  border: 0;
}
.text input:focus::-moz-placeholder { color:transparent; }
.text input:focus +  label
{
  transition-duration: 500ms;
  font-size: 0.8em;
  color: black;
  transform: translateY(-20px);
  z-index: 1;
  
}

.abc{
  display: block;
  width: 0px;
  height: 3px;
  margin: auto; 
  background-color: transparent;
  position: absolute;
  bottom: 0;
  left: 0;
right: 0;
margin: auto;
transition: width .5s ease, background-color .5s ease;
  
}

#text-box:focus ~ div{
  width: 100%;

  margin: auto;
  background: black;
	transition: width .5s ease, background-color .5s ease;
  

}
.def{
  display: block;
  width: 100%;
  height: 1.5px;
  margin: auto; 
  background-color: gray;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  margin: auto;

}
.state-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin: 0;
  width: 100%;
  min-height: 20px;
  height: auto;  
  grid-gap: 10px;
}
.country-drop{
  width: 100%;
}

#country-select{
  width: 100%;
  outline: none;
  border: none;
  background: transparent;
}
#country-select:active{
  border: 0;
  outline: 0;
}

#country-select option{
  outline: none;
  background: transparent;

  border: none;
  width: 100%

}

#myckeckbox:checked + #myckeckbox::after{
  display: block;
}
#check-id + div{
  display: none;
}

#check-id:checked + div{
  display: block;
}













/*--------------------------------------------------------------------------------*/









@media only screen and (max-width: 600px){
  .shirt-detail-grid {
    display: grid;
    grid-template-columns: 1fr ;   
    height: auto;
    grid-gap: 30px;
  }
  .shirt-detail-img{
    grid-column: 1/2;
    padding-left: 50px;
    padding-right: 50px;
    max-height: 473px;
    height: auto;

    /*! object-fit: fill; */
    /*! object-fit: contain; */
    object-fit: scale-down;
  }
  .shirt-detail-img img{
    height: 100%;
  }
  .shirt-detail-text{
    margin-top: 20px;

    grid-column: 1/2;
    padding: 20px;
  }
  .clothing-types{
    display: none;
  }
  #abc{
    display: none;
  }

  .add-to-cart-fixed
  {
    width: 100%;
    height: 40px;
    position: fixed;
    text-align: center;
    color: white;
    background-color: rgb(34, 72, 73);
    bottom: 0px;
    padding-top: 20px;
  }
  #cart-disp{
    display: block ;
  }
  .dummy{
    display: block;
  }
  .i-dont-know{
    display: none;
  }
  .form-grid{
    display: grid;
    grid-template-columns: 1fr;
    width: auto;
    margin: auto;  
  }
  .left-check{
    grid-column: 1/2;
    padding-right: 0;
    padding: 15px;
    
  }
  
  .right-check{
    grid-column: 1/2;
    padding-left:0;
    padding: 15px;
  }
  .checkout-cl{
    margin-top: 0px !important;
    margin-bottom: 5px !important;
  }
  

}